### Hierarchy

- UrlObjectCommon
  - UrlObject

## Index

### Properties

- auth
- hash
- host
- hostname
- href
- path
- pathname
- port
- protocol
- query
- search
- slashes

## Properties

### Optional auth

auth: undefined | string

Inherited from UrlObjectCommon.auth

- Defined in node_modules/@types/node/url.d.ts:5

### Optional hash

hash: undefined | string

Inherited from UrlObjectCommon.hash

- Defined in node_modules/@types/node/url.d.ts:6

### Optional host

host: undefined | string

Inherited from UrlObjectCommon.host

- Defined in node_modules/@types/node/url.d.ts:7

### Optional hostname

hostname: undefined | string

Inherited from UrlObjectCommon.hostname

- Defined in node_modules/@types/node/url.d.ts:8

### Optional href

href: undefined | string

Inherited from UrlObjectCommon.href

- Defined in node_modules/@types/node/url.d.ts:9

### Optional path

path: undefined | string

Inherited from UrlObjectCommon.path

- Defined in node_modules/@types/node/url.d.ts:10

### Optional pathname

pathname: undefined | string

Inherited from UrlObjectCommon.pathname

- Defined in node_modules/@types/node/url.d.ts:11

### Optional port

port: string | number

- Defined in node_modules/@types/node/url.d.ts:19

### Optional protocol

protocol: undefined | string

Inherited from UrlObjectCommon.protocol

- Defined in node_modules/@types/node/url.d.ts:12

### Optional query

query: string | null | object

- Defined in node_modules/@types/node/url.d.ts:20

### Optional search

search: undefined | string

Inherited from UrlObjectCommon.search

- Defined in node_modules/@types/node/url.d.ts:13

### Optional slashes

slashes: undefined | false | true

Inherited from UrlObjectCommon.slashes

- Defined in node_modules/@types/node/url.d.ts:14

Generated using TypeDoc